## openarena-085-data 0.8.5split

=== debian/changelog ===
openarena-085-data (0.8.5split-17) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-17
    - d/rules: Pass $(CFLAGS_FOR_BUILD) to $(DEB_BUILD_GNU_TYPE)-gcc.
      There would be no reason to cross-compile this package since it is
      Architecture: all, but strictly speaking we should be using build
      architecture CFLAGS for the build architecture compiler.
    - Standards-Version: 4.7.2 (no changes required)
    - Mark packaging to be processed by debputy reformat
    - Remove Rules-Requires-Root, unnecessary since Debian 13
    - Use debhelper build API v1

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 11:39:27 +0000

openarena-085-data (0.8.5split-16) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-16
    - Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 10:34:14 +0000

openarena-data (0.8.5split-15) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-15
    - d/clean, d/.gitignore: Clean up generated .qvm files.
      This avoids FTBFS when built twice in a row. (Closes: #1046510)
    - d/watch: Remove.
      uscan considers it to be valid for a watch file to contain
      only comments, but udd.debian.org diagnoses this as an error
      (#884135). Override the Lintian tag instead.

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Aug 2023 11:30:46 +0100

openarena-085-data (0.8.5split-14) unstable; urgency=medium

  * d/control: Mark data package as Multi-Arch: foreign
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since Debian 10

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2023 10:08:26 +0000

openarena-085-data (0.8.5split-13) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-13
    - Bump debhelper from old 12 to 13
    - Update standards version to 4.6.1, no changes needed
    - d/watch: Indicate that there is intentionally no release monitoring.
      See the openarena source package for that.
    - d/copyright: Remove stanzas for files not in this source package
    - d/source/include-binaries: We no longer ship pregenerated qvm files

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Oct 2022 15:11:12 +0000

openarena-085-data (0.8.5split-12) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-12

  [ Debian Janitor ]
  * Trim trailing whitespace in d/changelog
  * Bump debhelper from old 10 to 12
  * Set debhelper-compat version in Build-Depends

  [ Simon McVittie ]
  * Declare compliance with Debian Policy v4.5.0
  * Use https for various URLs
  * d/upstream/metadata: Add svn repository
  * Clarify status of modified engine (it's a modified ioquake3 engine,
    not something OpenArena-specific)

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Feb 2020 09:08:46 +0000

openarena-085-data (0.8.5split-11) unstable; urgency=medium

  * Declare compliance with Debian Policy v4.1.4
  * d/README.source: Document non-DEP-14 Debian packaging repository
    layout
  * Update Vcs-* for move to salsa.debian.org
  * Remove empty d/watch
  * d/copyright: Sort Files: * paragraph to the top to placate Lintian
  * d/copyright: Consolidate GPL-2 license grants into one standalone license
    paragraph

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 09:38:41 +0100

openarena-085-data (0.8.5split-10) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-10:
  * Use https URL for the Format of d/copyright
  * Declare compliance with Debian Policy v4.1.1
  * Move to debhelper compat level 10
  * Remove pre-generated QVM files from source package, so that building
    the package proves they can be regenerated
  * d/qvmbrute.c: Include timing information
  * Remove unused lintian overrides
  * Set Rules-Requires-Root to no
  * Remove all upstream files from packaging git repository

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 11:02:44 +0000

openarena-085-data (0.8.5split-9) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-9:
    - Normalize mtime of vm directory in PK3 archive to SOURCE_DATE_EPOCH
      for reproducible builds of openarena-data, openarena-085-data,
      openarena-088-data

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Sep 2016 17:39:35 +0100

openarena-085-data (0.8.5split-8) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-8:

  [ Alexandre Detiste ]
  * Normalize permissions of PK3 archive contents to 0644/0755 to
    fix reproducibility under different umask (Closes: #819965)

  [ Simon McVittie ]
  * d/rules: add a comment indicating why we cannot run
    dh_strip_nondeterminism
  * d/rules: chmod all files, even those not in the obvious directory
    (mp-pak0.pk3 contains ../CREDITS and ../COPYING)
  * Standards-Version: 3.9.8 (no changes needed)
  * Pass CPPFLAGS to C compiler for QVM-synthesizing program, avoiding
    warnings from build-log checks
  * Use SOURCE_DATE_EPOCH for timestamps, and build-depend on the
    debhelper version that defines it

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Jun 2016 10:38:50 +0100

openarena-085-data (0.8.5split-7) UNRELEASED; urgency=medium

  * Merge from openarena-data/0.8.5split-7:
    - Add shared files for the OpenArena Community Map Pack, volume 1
      (available as the openarena-oacmp1 source package, but the majority
      of the debian/ directory is duplicated to simplify merging)
    - Standards-Version: 3.9.7 (no changes needed)
    - Normalize packaging via wrap-and-sort -abst
    - Use https for Vcs-Git (lintian: vcs-field-uses-insecure-uri)
    - gbp.conf: do not set export-dir, tarball-dir: this is a local
      preference for the developer doing the build, not something that
      should be in the VCS
    - Verify at dh_builddeb time that the PK3 is compatible with upstream
    - Do not put the PK3 files through dh_strip_nondeterminism: order
      is important for these files (see #819113)

