=== debian/control ===
Source: openarena-085-data
X-Style: black
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@tauware.de>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
Build-Depends-Indep:
 libarchive-zip-perl,
 zip,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://openarena.ws/
Vcs-Git: https://salsa.debian.org/games-team/openarena-data.git -b openarena-085-data
Vcs-Browser: https://salsa.debian.org/games-team/openarena-data/tree/openarena-085-data

Package: openarena-085-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: OpenArena game data - 0.8.5 update
 OpenArena is an open-source content package for the Quake III
 engine, effectively creating a free stand-alone game similar to
 Quake III Arena.
 .
 In Debian, OpenArena game data are divided into several packages.
 This package contains the OpenArena 0.8.5 update.
